Bug 1278506 - [abrt] NetworkManager: ipv4acd_on_timeout(): NetworkManager killed by SIGABRT
Summary: [abrt] NetworkManager: ipv4acd_on_timeout(): NetworkManager killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:e9b8b0dd6f0d76221b3735ba9bd...
Depends On:
Blocks: 1301628 1313485
TreeView+ depends on / blocked
 
Reported: 2015-11-05 16:09 UTC by Lubomir Rintel
Modified: 2016-11-03 19:20 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:20:05 UTC


Attachments (Terms of Use)
File: backtrace (15.47 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: cgroup (199 bytes, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: core_backtrace (7.51 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: dso_list (5.65 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: environ (72 bytes, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: machineid (135 bytes, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: maps (26.03 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: open_fds (2.21 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
File: var_log_messages (65.30 KB, text/plain)
2015-11-05 16:09 UTC, Lubomir Rintel
no flags Details
[PATCH] systemd/adapt: return G_SOURCE_REMOVE in time event callback (1.55 KB, patch)
2015-11-08 13:40 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Lubomir Rintel 2015-11-05 16:09:09 UTC
Description of problem:
Nov 05 09:06:48 myown.hostname nmcli/./runtest.sh[28741]: Running test testcase_304234
....
Nov 05 09:06:51 myown.hostname NetworkManager[27293]: <debug> [1446732411.083691] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMDeviceEthernet 0x7f3f67e1ccc0: {'State': <uint32 70>, 'StateReason': <(uint32 70, uint32 0)>}
Nov 05 09:06:51 myown.hostname NetworkManager[27293]: <debug> [1446732411.084785] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMDeviceEthernet 0x7f3f67e1ccc0: {'Udi': <'/sys/devices/pci0000:00/0000:00:07.0/virtio3/net/eth1'>}
Nov 05 09:06:51 myown.hostname NetworkManager[27293]: <debug> [1446732411.185441] [sd-ipv4acd.c:278] ipv4acd_on_timeout(): libsystemd: ACD: Probing 169.254.241.152
Nov 05 09:06:51 myown.hostname systemd[1]: NetworkManager-wait-online.service: main process exited, code=exited, status=1/FAILURE
Nov 05 09:06:51 myown.hostname systemd[1]: Failed to start Network Manager Wait Online.
Nov 05 09:06:51 myown.hostname systemd[1]: Unit NetworkManager-wait-online.service entered failed state.
Nov 05 09:06:51 myown.hostname systemd[1]: NetworkManager-wait-online.service failed.
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.287521] [sd-ipv4acd.c:278] ipv4acd_on_timeout(): libsystemd: ACD: Probing 169.254.241.152
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894463] [platform/nm-platform.c:3519] log_ip6_address(): platform: signal: address 6   added: fe80::5054:ff:fe91:ba74/64 lft forever pref forever lifetime 31-0[4294967295,4294967295] dev 3 flags permanent src kernel
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894520] [nm-default-route-manager.c:1296] _resync_idle_reschedule(): default-route-: resync: schedule on idle
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894572] [devices/nm-device.c:7929] device_ipx_changed(): [0x7f3f67e1ccc0] (eth1): queued IP6 config change
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894851] [devices/nm-device.c:6999] nm_device_set_ip6_config(): [0x7f3f67e1ccc0] (eth1): update IP6Config instance (/org/freedesktop/NetworkManager/IP6Config/16)
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894887] [dns-manager/nm-dns-manager.c:1245] nm_dns_manager_begin_updates(): dns-mgr: (device_ip6_config_changed): queueing DNS updates (1)
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894949] [dns-manager/nm-dns-manager.c:1263] nm_dns_manager_end_updates(): dns-mgr: (device_ip6_config_changed): DNS configuration did not change
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.894963] [dns-manager/nm-dns-manager.c:1267] nm_dns_manager_end_updates(): dns-mgr: (device_ip6_config_changed): no DNS changes to commit (0)
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.895335] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMIP6Config 0x7f3f67e6b220: {'Addresses': <[([byte 0xfe, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x54, 0x00, 0xff, 0xfe, 0x91, 0xba, 0x74], uint32 64, [byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])]>, 'AddressData': <[{'address': <'fe80::5054:ff:fe91:ba74'>, 'prefix': <uint32 64>}]>}
Nov 05 09:06:52 myown.hostname NetworkManager[27293]: <debug> [1446732412.895615] [nm-default-route-manager.c:1242] _resync_idle_now(): default-route-: resync: sync now (3945) (IPv4 changes: no, IPv6 changes: yes)
Nov 05 09:06:54 myown.hostname NetworkManager[27293]: <debug> [1446732414.214376] [sd-ipv4acd.c:278] ipv4acd_on_timeout(): libsystemd: ACD: Probing 169.254.241.152
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217128] [sd-ipv4acd.c:310] ipv4acd_on_timeout(): libsystemd: ACD: ANNOUNCE
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217387] [devices/nm-device.c:2916] activation_source_schedule(): [0x7f3f67e1ccc0] (eth1): activation-stage: schedule activate_stage5_ip4_config_commit,2 (id 3953)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217417] [devices/nm-device.c:2878] activation_source_handle_cb(): [0x7f3f67e1ccc0] (eth1): activation-stage: invoke activate_stage5_ip4_config_commit,2 (id 3953)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217541] [platform/nm-platform.c:2109] nm_platform_ip4_address_add(): platform: address: adding or updating IPv4 address: 169.254.241.152/16 lft forever pref forever lifetime 34-0[4294967295,4294967295] dev 3 src unknown
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217679] [platform/nm-linux-platform.c:3497] do_add_addrroute(): platform-linux: do-add-ip4-address[3: 169.254.241.152/16]: success adding
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217747] [platform/nm-platform.c:3513] log_ip4_address(): platform: signal: address 4   added: 169.254.241.152/16 lft forever pref forever lifetime 34-0[4294967295,4294967295] dev 3 src kernel
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217763] [nm-default-route-manager.c:1296] _resync_idle_reschedule(): default-route-: resync: schedule on idle
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217806] [devices/nm-device.c:7914] device_ipx_changed(): [0x7f3f67e1ccc0] (eth1): queued IP4 config change
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217861] [nm-route-manager.c:466] _vx_route_sync(): route-mgr4:   3: sync 2 IPv4 routes
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217881] [platform/nm-platform.c:2427] nm_platform_ip4_route_add(): platform: route: adding or updating IPv4 route: 224.0.0.0/4 via 0.0.0.0 dev 3 metric 100 mss 0 src ipv4ll
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217934] [platform/nm-linux-platform.c:3497] do_add_addrroute(): platform-linux: do-add-ip4-route[3: 224.0.0.0/4 100]: success adding
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.217966] [platform/nm-platform.c:3525] log_ip4_route(): platform: signal: route   4   added: 169.254.0.0/16 via 0.0.0.0 dev 3 metric 0 mss 0 src rtprot-kernel scope 253 pref-src 169.254.241.152
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.220870] [platform/nm-platform.c:3525] log_ip4_route(): platform: signal: route   4   added: 224.0.0.0/4 via 0.0.0.0 dev 3 metric 100 mss 0 src user scope 253
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.220943] [platform/nm-platform.c:2427] nm_platform_ip4_route_add(): platform: route: adding or updating IPv4 route: 169.254.0.0/16 via 0.0.0.0 dev 3 metric 100 mss 0 src kernel pref-src 169.254.241.152
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.220976] [platform/nm-linux-platform.c:3497] do_add_addrroute(): platform-linux: do-add-ip4-route[3: 169.254.0.0/16 100]: success adding
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221002] [platform/nm-platform.c:3525] log_ip4_route(): platform: signal: route   4   added: 169.254.0.0/16 via 0.0.0.0 dev 3 metric 100 mss 0 src rtprot-kernel scope 253 pref-src 169.254.241.152
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221165] [devices/nm-device.c:6828] nm_device_set_ip4_config(): [0x7f3f67e1ccc0] (eth1): update IP4Config instance (/org/freedesktop/NetworkManager/IP4Config/16)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221186] [nm-default-route-manager.c:640] _entry_at_idx_update(): default-route4: entry[0/dev:0x7f3f67e1ccc0:eth1:0:+sync]: record:add    0.0.0.0/0 via 0.0.0.0 dev 3 metric 4294967295 mss 0 src unknown (4294967295)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221197] [nm-default-route-manager.c:1272] _resync_idle_cancel(): default-route-: resync: cancelled (3954)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221217] [dns-manager/nm-dns-manager.c:1245] nm_dns_manager_begin_updates(): dns-mgr: (device_ip4_config_changed): queueing DNS updates (1)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221257] [dns-manager/nm-dns-manager.c:1263] nm_dns_manager_end_updates(): dns-mgr: (device_ip4_config_changed): DNS configuration did not change
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221267] [dns-manager/nm-dns-manager.c:1267] nm_dns_manager_end_updates(): dns-mgr: (device_ip4_config_changed): no DNS changes to commit (0)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.221287] [devices/nm-device.c:8576] nm_device_remove_pending_action(): [0x7f3f67e1ccc0] (eth1): remove_pending_action (2): 'dhcp4' not pending (expected)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <info>  (eth1): device state change: ip-config -> ip-check (reason 'none') [70 80 0]
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.224370] [nm-firewall-manager.c:288] _start_request(): firewall: [0x7f3f67e47440,change*:"eth1"]: firewall zone change eth1:default (not running, simulate success)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.224492] [devices/nm-device.c:2883] activation_source_handle_cb(): [0x7f3f67e1ccc0] (eth1): activation-stage: complete activate_stage5_ip4_config_commit,2 (id 3953)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225144] [nm-default-route-manager.c:661] _entry_at_idx_remove(): default-route4: entry[0/dev:0x7f3f67e1ccc0:eth1:0:+sync]: record:remove 0.0.0.0/0 via 0.0.0.0 dev 3 metric 4294967295 mss 0 src unknown (4294967295)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225170] [platform/nm-platform.c:2470] nm_platform_ip4_route_delete(): platform: route: deleting IPv4 route 169.254.0.0/16, metric=0, ifindex 3 dev eth1
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225206] [platform/nm-linux-platform.c:3552] do_delete_object(): platform-linux: do-delete-ip4-route[3: 169.254.0.0/16 0]: success deleting
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225234] [platform/nm-platform.c:3525] log_ip4_route(): platform: signal: route   4 removed: 169.254.0.0/16 via 0.0.0.0 dev 3 metric 0 mss 0 src rtprot-kernel scope 253 pref-src 169.254.241.152
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225253] [devices/nm-device.c:7914] device_ipx_changed(): [0x7f3f67e1ccc0] (eth1): queued IP4 config change
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225311] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMIP4Config 0x7f3f67e697e0: {'Routes': <[[uint32 224, 4, 0, 100]]>, 'RouteData': <[{'dest': <'224.0.0.0'>, 'prefix': <uint32 4>, 'metric': <uint32 100>}]>, 'Addresses': <[[uint32 2565996201, 16, 0]]>, 'AddressData': <[{'address': <'169.254.241.152'>, 'prefix': <uint32 16>}]>}
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225571] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMDeviceEthernet 0x7f3f67e1ccc0: {'State': <uint32 80>, 'StateReason': <(uint32 80, uint32 0)>, 'IpInterface': <'eth1'>, 'Ip4Config': <objectpath '/org/freedesktop/NetworkManager/IP4Config/16'>, 'Dhcp4Config': <objectpath '/'>, 'Ip6Config': <objectpath '/org/freedesktop/NetworkManager/IP6Config/16'>, 'Dhcp6Config': <objectpath '/'>}
Nov 05 09:06:56 myown.hostname dbus[624]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.225834] [nm-firewall-manager.c:213] _handle_idle(): firewall: [0x7f3f67e47440,change*:"eth1"]: complete: fake success
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.229773] [nm-dispatcher.c:492] _dispatcher_call(): (12) (eth1) dispatching action 'pre-up' (with callback)
Nov 05 09:06:56 myown.hostname systemd[1]: Starting Network Manager Script Dispatcher Service...
Nov 05 09:06:56 myown.hostname dbus[624]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Nov 05 09:06:56 myown.hostname systemd[1]: Started Network Manager Script Dispatcher Service.
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: new request (1 scripts)
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: DEVICE_IP_IFACE=eth1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: DEVICE_IFACE=eth1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: CONNECTION_ID=ethie
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: CONNECTION_UUID=1b5bd2c2-230a-48e1-b4c2-2685255fd224
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: CONNECTION_FILENAME=/etc/sysconfig/network-scripts/ifcfg-ethie
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: environment: CONNECTION_DBUS_PATH=/org/freedesktop/NetworkManager/Settings/13
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: start running ordered scripts...
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1], "/etc/NetworkManager/dispatcher.d/pre-up.d/10-ifcfg-rh-routes.sh": run script
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1], "/etc/NetworkManager/dispatcher.d/pre-up.d/10-ifcfg-rh-routes.sh": complete
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #1 'pre-up' [eth1]: completed (1 scripts)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.313769] [nm-dispatcher.c:359] dispatcher_results_process(): (12) 10-ifcfg-rh-routes.sh succeeded
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.313799] [devices/nm-device.c:8529] nm_device_add_pending_action(): [0x7f3f67e1ccc0] (eth1): add_pending_action (3): 'queued state change to secondaries'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.313814] [devices/nm-device.c:9447] nm_device_queue_state(): [0x7f3f67e1ccc0] (eth1): queued state change to secondaries due to none (id 3972)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.313841] [devices/nm-device.c:9396] queued_set_state(): [0x7f3f67e1ccc0] (eth1): running queued state change to secondaries (id 3972)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <info>  (eth1): device state change: ip-check -> secondaries (reason 'none') [80 90 0]
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314207] [devices/nm-device.c:8529] nm_device_add_pending_action(): [0x7f3f67e1ccc0] (eth1): add_pending_action (4): 'queued state change to activated'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314225] [devices/nm-device.c:9447] nm_device_queue_state(): [0x7f3f67e1ccc0] (eth1): queued state change to activated due to none (id 3975)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314260] [devices/nm-device.c:9340] _set_state_full(): [0x7f3f67e1ccc0] (eth1): device entered SECONDARIES state
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314272] [devices/nm-device.c:8562] nm_device_remove_pending_action(): [0x7f3f67e1ccc0] (eth1): remove_pending_action (3): 'queued state change to secondaries'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314596] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMDeviceEthernet 0x7f3f67e1ccc0: {'State': <uint32 90>, 'StateReason': <(uint32 90, uint32 0)>}
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.314827] [devices/nm-device.c:9396] queued_set_state(): [0x7f3f67e1ccc0] (eth1): running queued state change to activated (id 3975)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <info>  (eth1): device state change: secondaries -> activated (reason 'none') [90 100 0]
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.318600] [nm-active-connection.c:559] check_master_ready(): active-connection[0x7f3f67dd1560]: not signalling master-ready (not activating)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.322952] [devices/nm-device.c:8562] nm_device_remove_pending_action(): [0x7f3f67e1ccc0] (eth1): remove_pending_action (2): 'activation::0x7f3f67dd1560'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323166] [dns-manager/nm-dns-manager.c:1245] nm_dns_manager_begin_updates(): dns-mgr: (device_state_changed): queueing DNS updates (1)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323187] [dns-manager/nm-dns-manager.c:1245] nm_dns_manager_begin_updates(): dns-mgr: (update_routing_and_dns): queueing DNS updates (2)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323229] [dns-manager/nm-dns-manager.c:1263] nm_dns_manager_end_updates(): dns-mgr: (update_routing_and_dns): DNS configuration did not change
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323240] [dns-manager/nm-dns-manager.c:1267] nm_dns_manager_end_updates(): dns-mgr: (update_routing_and_dns): no DNS changes to commit (1)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323257] [dns-manager/nm-dns-manager.c:1263] nm_dns_manager_end_updates(): dns-mgr: (device_state_changed): DNS configuration did not change
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323267] [dns-manager/nm-dns-manager.c:1267] nm_dns_manager_end_updates(): dns-mgr: (device_state_changed): no DNS changes to commit (0)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <info>  (eth1): Activation: successful, device activated.
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323317] [devices/nm-device.c:8256] nm_device_update_metered(): [0x7f3f67e1ccc0] (eth1): set metered value 4
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323377] [nm-dispatcher.c:492] _dispatcher_call(): (13) (eth1) dispatching action 'up'
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.323683] [devices/nm-device.c:8562] nm_device_remove_pending_action(): [0x7f3f67e1ccc0] (eth1): remove_pending_action (1): 'queued state change to activated'
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: new request (4 scripts)
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP6_GATEWAY=::
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP6_NUM_ADDRESSES=1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP6_ADDRESS_0=fe80::5054:ff:fe91:ba74/64 ::
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP4_NUM_ROUTES=1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP4_ROUTE_0=224.0.0.0/4 0.0.0.0 100
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP4_GATEWAY=0.0.0.0
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP4_NUM_ADDRESSES=1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: IP4_ADDRESS_0=169.254.241.152/16 0.0.0.0
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: DEVICE_IP_IFACE=eth1
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.324226] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMDeviceEthernet 0x7f3f67e1ccc0: {'State': <uint32 100>, 'StateReason': <(uint32 100, uint32 0)>, 'Metered': <uint32 4>}
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.328519] [nm-exported-object.c:659] idle_emit_properties_changed(): PropertiesChanged NMActRequest 0x7f3f67dd1560: {'State': <uint32 2>, 'Ip4Config': <objectpath '/org/freedesktop/NetworkManager/IP4Config/16'>, 'Dhcp4Config': <objectpath '/'>, 'Ip6Config': <objectpath '/org/freedesktop/NetworkManager/IP6Config/16'>, 'Dhcp6Config': <objectpath '/'>}
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.329919] [settings/nm-agent-manager.c:158] remove_agent(): agent-manager: req[0x7f3f67e7cf60, x:y:33/nmcli-connect/0]: agent unregistered or disappeared
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.331223] [nm-bus-manager.c:212] private_server_closed(): (private) closed connection 0x7f3f34004900 on private socket.
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: DEVICE_IFACE=eth1
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: CONNECTION_ID=ethie
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: CONNECTION_UUID=1b5bd2c2-230a-48e1-b4c2-2685255fd224
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: CONNECTION_FILENAME=/etc/sysconfig/network-scripts/ifcfg-ethie
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: environment: CONNECTION_DBUS_PATH=/org/freedesktop/NetworkManager/Settings/13
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: start running ordered scripts...
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/00-netreport": run script
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/00-netreport": complete
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/10-ifcfg-rh-routes.sh": run script
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/10-ifcfg-rh-routes.sh": complete
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/11-dhclient": run script
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.412922] [devices/nm-device.c:8562] nm_device_remove_pending_action(): [0x7f3f67e1ccc0] (eth1): remove_pending_action (0): 'carrier wait'
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/11-dhclient": complete
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/20-chrony": run script
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1], "/etc/NetworkManager/dispatcher.d/20-chrony": complete
Nov 05 09:06:56 myown.hostname nm-dispatcher[28852]: #2 'up' [eth1]: completed (4 scripts)
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.437894] [nm-dispatcher.c:359] dispatcher_results_process(): (13) 00-netreport succeeded
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.437937] [nm-dispatcher.c:359] dispatcher_results_process(): (13) 10-ifcfg-rh-routes.sh succeeded
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.437949] [nm-dispatcher.c:359] dispatcher_results_process(): (13) 11-dhclient succeeded
Nov 05 09:06:56 myown.hostname NetworkManager[27293]: <debug> [1446732416.437960] [nm-dispatcher.c:359] dispatcher_results_process(): (13) 20-chrony succeeded
Nov 05 09:06:58 myown.hostname NetworkManager[27293]: <debug> [1446732418.218469] [sd-ipv4acd.c:310] ipv4acd_on_timeout(): libsystemd: ACD: ANNOUNCE
Nov 05 09:07:07 myown.hostname NetworkManager[27293]: <error> [1446732427.737754] [sd-ipv4acd.c:325] ipv4acd_on_timeout(): libsystemd: Code should not be reached 'Invalid state.' at systemd/src/libsystemd-network/sd-ipv4acd.c:325, function ipv4acd_on_timeout(). Aborting.
Nov 05 09:07:08 myown.hostname NetworkManager[27293]: **
Nov 05 09:07:08 myown.hostname NetworkManager[27293]: ERROR:systemd/src/libsystemd-network/sd-ipv4acd.c:325:ipv4acd_on_timeout: code should not be reached
Nov 05 09:07:08 myown.hostname systemd[1]: NetworkManager.service: main process exited, code=dumped, status=6/ABRT

Version-Release number of selected component:
NetworkManager-1.1.0-13363.7fa51f4dca.el7.centos

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: ipv4acd_on_timeout
executable:     /usr/sbin/NetworkManager
global_pid:     27293
kernel:         3.10.0-327.el7.x86_64
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #4 ipv4acd_on_timeout at systemd/src/libsystemd-network/sd-ipv4acd.c:325
 #5 time_ready at systemd/nm-sd-adapt.c:174

Comment 1 Lubomir Rintel 2015-11-05 16:09:13 UTC
Created attachment 1090197 [details]
File: backtrace

Comment 2 Lubomir Rintel 2015-11-05 16:09:15 UTC
Created attachment 1090198 [details]
File: cgroup

Comment 3 Lubomir Rintel 2015-11-05 16:09:16 UTC
Created attachment 1090199 [details]
File: core_backtrace

Comment 4 Lubomir Rintel 2015-11-05 16:09:17 UTC
Created attachment 1090200 [details]
File: dso_list

Comment 5 Lubomir Rintel 2015-11-05 16:09:19 UTC
Created attachment 1090201 [details]
File: environ

Comment 6 Lubomir Rintel 2015-11-05 16:09:20 UTC
Created attachment 1090202 [details]
File: limits

Comment 7 Lubomir Rintel 2015-11-05 16:09:21 UTC
Created attachment 1090203 [details]
File: machineid

Comment 8 Lubomir Rintel 2015-11-05 16:09:23 UTC
Created attachment 1090204 [details]
File: maps

Comment 9 Lubomir Rintel 2015-11-05 16:09:24 UTC
Created attachment 1090205 [details]
File: open_fds

Comment 10 Lubomir Rintel 2015-11-05 16:09:25 UTC
Created attachment 1090206 [details]
File: proc_pid_status

Comment 11 Lubomir Rintel 2015-11-05 16:09:27 UTC
Created attachment 1090207 [details]
File: var_log_messages

Comment 12 Lubomir Rintel 2015-11-05 16:11:13 UTC
Removing from 7.3, this happened on master.

Comment 14 Beniamino Galvani 2015-11-08 13:40:49 UTC
Created attachment 1091261 [details]
[PATCH] systemd/adapt: return G_SOURCE_REMOVE in time event callback

Comment 15 Jirka Klimes 2015-11-11 08:34:51 UTC
(In reply to Beniamino Galvani from comment #14)
> Created attachment 1091261 [details]
> [PATCH] systemd/adapt: return G_SOURCE_REMOVE in time event callback

LGTM.

Comment 16 Thomas Haller 2015-11-11 14:58:41 UTC
LGTM

Comment 18 Mike McCune 2016-03-28 23:29:09 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 21 errata-xmlrpc 2016-11-03 19:20:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.